多平台 - 查询wayfair库存
POST
/basicOpen/multiplatform/wayfair/stockSearch支持多平台-查询wayfair库存
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/wayfair/stockSearch | HTTPS | POST | 1 |
请求参数
lengthintegeroffsetintegerstoreIdsarray<any>warehouseIdsarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/wayfair/stockSearch?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"length": 20,
"offset": 0,
"storeIds": [110418202566107648],
"warehouseIds": [110418202566107648]
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
pageobject必填隐藏子属性
recordsarray<object>必填隐藏子属性
allocatedQtyinteger必填expiredQtyinteger必填fulfillableQtyinteger必填heldQtyinteger必填inStockQtyinteger必填manufacturerPartIdinteger必填onHandQtyinteger必填onTransferQtyinteger必填optionsstring必填productNamestring必填skustring必填storeIdinteger必填storeNamestring必填supplierPartNumberstring必填unfulfillableQtyinteger必填unpickableQtyinteger必填unreconciledQtyinteger必填warehouseIdstring必填totalinteger必填syncTimestring必填error_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"data": {
"syncTime": "2026-02-02 12:00:00",
"page": {
"total": 21,
"records": [
{
"manufacturerPartId": 1234567890,
"heldQty": 1,
"supplierPartNumber": "PN-12345",
"unreconciledQty": 1,
"storeId": 110418202566107648,
"unfulfillableQty": 1,
"productName": "Wayfair椅子",
"inStockQty": 10,
"unpickableQty": 0,
"warehouseId": "WH-001",
"expiredQty": 0,
"options": "颜色:白色;尺码:M",
"onHandQty": 12,
"storeName": "Wayfair-US",
"fulfillableQty": 8,
"sku": "WF-SKU-001",
"allocatedQty": 2,
"onTransferQty": 0
}
]
}
},
"error_details": [],
"message": "",
"request_id": "",
"response_time": "",
"total": 0
}